<!DOCTYPE html>
<!-- Referensi : https://www.codinglabweb.com/2021/01/responsive-registration-form-in-html-css.html -->
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <title>Form Notes</title>
    <nav class="navbar navbar-inverse">
      <div class="container-fluid">
      <ul class="nav navbar-nav">
          <li><a href="/lab-4/">Index</a></li>
          <li><a href="note-list">Note List</a></li>
          <li><a href="add-note">Add Note</a></li>
      </ul>
      </div>
    </nav>
</head>
  <style>
    body{
         display: flex;
        height: 100vh;
       justify-content: center;
        align-items: center;
        padding: 10px;
        background: linear-gradient(135deg, #71b7e6, #b659a2);  
    }

    .container{
        max-width: 350px;
        width: 100%;
        background-color: rgb(211, 215, 248);
        padding: 25px 30px;
        border-radius: 5px;
        box-shadow: 0 5px 10px rgba(0,0,0,0.15);
    }

    .title{
        font-size: 25px;
        font-weight: 500;
        margin-bottom: 25px;
        font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
        color: rgb(148, 99, 194);
    }

    input{
      border:0;
      box-shadow:0 0 15px 4px rgba(0,0,0,0.06);
      border-radius: 10px;
      padding:10px 80px;
      margin:10px 0;
    }

    input[type=submit]{
      padding:8px 40px; 
      background:linear-gradient(135deg, #71b7e6, #b659a2);  
      border-radius: 5px; 
      font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
      font-weight: bold;
      color: aliceblue;
    }

    .details{
      font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
      font-size: small;
      font-weight: bold;
    }

    nav ul{
      display: flex;
      flex-wrap: wrap;
      list-style: none;
      }

    nav ul li{
      margin: 0 5px;
    }
    
    nav ul li a{
      color: #f2f2f2;
      padding: 8px 15px;
      border-radius: 5px;
      letter-spacing: 1px;
      text-decoration: none;
      font-size: 14px;
      font-weight: 300;
      font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
      transition: all 0.3s ease;
    }

    nav ul li a.active,
    nav ul li a:hover{
    color: #111;
    background: rgb(211, 215, 248);
    }
  </style>
  
<body>
    <div class="container">
      <div class="title">Add Your Notes</div>
        <form action="" method="POST">
          {% csrf_token %}
          <div class="input">
            <span class="details">To:</span><br>
            <span>{{ form.to }}</span>  
          </div>
          <div class="input">
            <span class="details">From:</span><br>
            <span>{{ form.dari }}</span>
          </div>
          <div class="input">
            <span class="details">Title:</span><br>
            <span>{{ form.title }}</span>
          </div>
          <div class="input">
            <span class="details">Message:</span><br>
            <span>{{ form.message }}</span>
          </div>
        
          <input type="submit" value="Submit">
        
        </form>
      </div>
    </div>   
</body>
</html>


